Plugin error from dada2: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more. See above for debug info.

See details below. The advice in similar posts to chnage truncation did not resutls in a succesful output. Additionally, the use of qiime dada2 denoise-single resulted in a similar error message.

(qiime2-2019.4) [[email protected] ~]$ qiime dada2 denoise-paired \

–i-demultiplexed-seqs paired-end-demux.qza
–p-trim-left-f 19
–p-trunc-len-f 151
–p-trim-left-r 20
–p-trunc-len-r 130
–o-table table-v34.qza
–o-representative-sequences rep-seqs-v34.qza
–p-n-threads 4
–p-n-reads-learn 5
–output-dir dada2-v34
–verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpc9bz2e9i/forward /tmp/tmpc9bz2e9i/reverse /tmp/tmpc9bz2e9i/output.tsv.biom /tmp/tmpc9bz2e9i/track.tsv /tmp/tmpc9bz2e9i/filt_f /tmp/tmpc9bz2e9i/filt_r 151 130 19 20 2.0 2 consensus 1.0 4 5

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.1 / RcppParallel: 4.4.2

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error in writeFastq(fqF, fout[[1]], “w”, compress = compress) :
    failed to write record 419
    Error in writeFastq(fqF, fout[[1]], “a”, compress = compress) :
    failed to write record 418
    Error in writeFastq(fqR, fout[[2]], “a”, compress = compress) :
    failed to write record 15452
    Error in writeFastq(fqR, fout[[2]], “w”, compress = compress) :
    failed to write record 26917
    Error in writeFastq(fqF, fout[[1]], “w”, compress = compress) :
    failed to write record 419
    Execution halted
    Traceback (most recent call last):
    File “/home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpc9bz2e9i/forward’, ‘/tmp/tmpc9bz2e9i/reverse’, ‘/tmp/tmpc9bz2e9i/output.tsv.biom’, ‘/tmp/tmpc9bz2e9i/track.tsv’, ‘/tmp/tmpc9bz2e9i/filt_f’, ‘/tmp/tmpc9bz2e9i/filt_r’, ‘151’, ‘130’, ‘19’, ‘20’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘4’, ‘5’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
File “</home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-451>”, line 2, in denoise_paired
File “/home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File “/home/ec2-user/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

Welcome to the forum, @peter_baas!
Looks like you are having the same issue described here. See this post for a potential solution:

Let us know how that goes